/*
===============================================================================
  FloatTextField.java - subclass of NumTextField accepting only floating-point
                        numbers

  Simon D. Levy              Brandeis University                           1998
===============================================================================
*/

import java.awt.*;
import java.awt.event.*;
 
// this class accepts only (signed) floating-point numbers
class FloatTextField extends NumTextField {

  // check character valid given current string
  public boolean checkCharAt(char c, int i, String s) {

    // always accept a digit anywhere
    if (c >= '0' && c <= '9')
      return true;

    // accept minus sign iff it's first character
    else if (c == '-')
      return (i == 0);

    // accept decimal iff it's not already there
    else if (c == '.')
      return (i == s.indexOf('.'));

    // reject all else
    else 
      return false;
  }

  // constructors
  public FloatTextField() {
    super();
  }
  public FloatTextField(int columns) {
    super(columns);
  }
  public FloatTextField(String text) {
    super(text);
  }
  public FloatTextField(String text, int columns) {
    super(text, columns);
  }
}
