/*
===============================================================================
  IntTextField.java - subclass of NumTextField accepting only integers         

  Simon D. Levy              Brandeis University                           1998
===============================================================================
*/

import java.awt.*;
import java.awt.event.*;
 
// this class accepts only (signed) floating-point numbers
class IntTextField extends NumTextField {

  // check character valid given current string
  public boolean checkCharAt(char c, int i, String s) {

    // always accept a digit anywhere
    if (c >= '0' && c <= '9')
      return true;

    // accept minus sign iff it's first character
    else if (c == '-')
      return (i == 0);

    // reject all else
    else 
      return false;
  }

  // constructors
  public IntTextField() {
    super();
  }
  public IntTextField(int columns) {
    super(columns);
  }
  public IntTextField(String text) {
    super(text);
  }
  public IntTextField(String text, int columns) {
    super(text, columns);
  }
}
