/*
===============================================================================
  UIntTextField.java - subclass of NumTextField accepting only unsigned 
                       integers

  Simon D. Levy              Brandeis University                           1998
===============================================================================
*/

import java.awt.*;
import java.awt.event.*;
 
// this class accepts only unsigned integers
class UIntTextField extends NumTextField {

  // check character valid given current string
  public boolean checkCharAt(char c, int pos, String s) {

    // any digit is valid anywhere, so ignore pos
    return (c >= '0' && c<= '9'); 
  }

  // constructors
  public UIntTextField() {
    super();
  }
  public UIntTextField(int columns) {
    super(columns);
  }
  public UIntTextField(String text) {
    super(text);
  }
  public UIntTextField(String text, int columns) {
    super(text, columns);
  }
}
